# git-import

Similar to `go-import`, a way to create vanity URLs for git repository paths.

Information on `go-import` can be found on the [golang website](https://golang.org/cmd/go/#hdr-Remote_import_paths)

`git-import` strives to work similarly 
By providing a `meta` tag with appropriate information, `git-import` will clone the specified repository

The following is the `meta` tag for this repository, hosted on https://go.jolheiser.com/git-import with [Vanity](https://git.jojodev.com/jolheiser/vanity)

```html
<meta name="git-import" content="git-import https://git.jojodev.com/jolheiser/git-import.git git@git.jojodev.com:jolheiser/git-import.git" />
```

## Installation (Git extension)

To install the Git extension:

`go install go.jolheiser.com/git-import/cmd/git-get`

## SSH
`git-get` can set up SSH if applicable, however it must be run with `GIT_SSH_COMMAND` set in order to configure the repository properly.

## Examples

Clone this repository  
`git get go.jolheiser.com/git-import`

Clone this repository with SSH  
`GIT_SSH_COMMAND="/usr/bin/ssh -i /home/user/.ssh/id_rsa" git-import -ssh go.jolheiser.com/git-import`

Clone this repository, but clone into "import-git"  
`git get -out import-git go.jolheiser.com/git-import`

Output the repository URL of this repo (without cloning)  
`git get -display go.jolheiser.com/git-import`

Output the repository SSH URL of this repo (without cloning)  
`git get -display -ssh go.jolheiser.com/git-import`